eth_getBlockTransactionCountByNumber - Sonic
Example code for the eth_getBlockTransactionCountByNumber JSON-RPC method. Complete guide on how to use eth_getBlockTransactionCountByNumber JSON-RPC in GetBlock Web3 documentation.
This method returns the number of transactions in a block identified by its number.
Parameters
blockParameter
string
Yes
Block number in hex, or "latest", "earliest", "pending"
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "eth_getBlockTransactionCountByNumber",
"params": ["0x1e8480"],
"id": "getblock.io"
}'const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0',
method: 'eth_getBlockTransactionCountByNumber',
params: ["0x1e8480"],
id: 'getblock.io'
}, {
headers: { 'Content-Type': 'application/json' }
});
console.log(response.data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'eth_getBlockTransactionCountByNumber',
'params': ["0x1e8480"],
'id': 'getblock.io'
}
)
print(response.json())Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "0x2a"
}Response Parameters
jsonrpc
string
JSON-RPC protocol version ("2.0")
id
string
Request identifier matching the request
result
string
Hex-encoded count of transactions in the block
Use Cases
Block Analytics: Track transactions per block over time
Pagination: Size iteration over a block's transactions
Throughput Metrics: Measure block fullness by transaction count
Explorer Headers: Show the transaction count on a block page
Error Handling
-32602
Invalid params
The block number or hash is malformed or out of range
-32603
Internal error
The node failed to read the block
Web3 Integration
Last updated
Was this helpful?